function [idxc0, C0] = clusupsimi(C,S,iter)

%updating clustering using similarity vector S and 
%maximum individual average similarity method.
% C: cell format raw clusters.
% S: n(n-1)/2 rows x 3 columns Similarity matrix which gives 
%    the similarity value between individuals in columns 1 and 2.
% iter: the maximum iteration number.
%-------------------------------------------------------------------
%C0: the updated clusters in cell format.

if nargin < 3
    iter=100;
end

C0=C;
for i=1:iter
    [AB, Ai, Bi]=indsimilar(C0,S); ABm=min(AB);
    if ABm<0
        T00=find(AB==ABm);T01=T00(1);
        k1=Ai(T01,2); k2=Bi(T01,2); C0k=C0{k1};
        k10=find(C0k==T01); C0k(k10)=[]; C0{k1}=C0k; C0{k2}=[C0{k2},T01];
    else
        disp(sprintf('Updating coverges at %d iterations !!!!!!!!',i));
        break
    end
disp(sprintf('Updating does not coverge at %d iterations',i));
end

idxc0=indexclus(C0);