function corpg = corpg(X,p,kC)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%This program is for calculation of cluster center and score for   %
%genotype data set, i.e. 0 (unmethylated) and 1 (hypermethylated). %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



if nargin < 2
    X=load('BreastWork.txt'); p=5;
end

if nargin < 3
    kC=load('idxc');
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[m,n]=size(X); p1=p+1; T=1:m;
X1=X(:, 1:p); %Phenotype data set;
X2=X(:, p1:n); %Genotype data set;
C=clusindex(kC); lenC=length(C);

%-------------------------------------------------------------------------%
%%Calaulation of genocenter;
NC=[]; 
for k=1:lenC
    t=C{k}; lenCk=length(t); 
    if lenCk==1
        NC(k, :)=X2(t, :);
    else
        X0=sum(X2(t, :)); lenCk2=lenCk/2;
        for j=1:length(X0)
            if X0(j)>=lenCk2; NC(k,j)=1;
            else NC(k,j)=0; 
            end
        end
    end
end
GenoS=sum(NC,2);

%%Calaulation of phenocenters and scores;
PC=[];
for k=1:lenC; lenCk=length(C{k}); t=C{k};
    px=X1(t, :); PC(k, :)=round(mean(px,1));
end
maxpc=max(X1,[],1); minpc=min(X1,[],1); dpc=maxpc-minpc; SPC=[];
for k=1:lenC
    SPC(k,:)=(PC(k,:)-minpc)./dpc;
end
PhenoS=mean(SPC, 2);   

corpg=corr(PhenoS, GenoS);