function [AB, Ai, Bi] = indsimilar(C,S)
%Calculat average similarity for itself cluster and its neighborhood cluster.
%Return the difference of similarity for each individual tumor.
% C: cell format raw clusters.
% S: n(n-1)/2 rows x 3 columns Similarity matrix which gives 
%    the similarity value between individuals in columns 1 and 2.
%-------------------------------------------------------------------
%Output variables
%AB: the vector gives the difference of similarity for each individual.
%Ai: nx2 matrix, the average similarity to itself cluster and its cluster ID
%Bi: nx2 matrix, the maximum average similarity to its neighbor clusters
%                and corresponding neighbor cluster ID.
%----------------------------------------------------------------------

Ai=[]; Bi=[]; 
lenC=length(C);
for k=1:lenC; lenCk=length(C{k});
    t=sort(C{k});
    if lenCk==1
        Ai(t,:)=[1,k];
    else 
        for j=1:lenCk
            t0=t(j); AA=0; t1=t; t1(j)=[]; lent1=lenCk-1;
            for i=1:lent1
                j1=t1(i);
                i0=find((S(:,1)==t0 & S(:,2)==j1) | ...
                (S(:,2)==t0 & S(:,1)==j1));
                AA=AA+S(i0,3);
            end
            AA=AA/lent1; Ai(t0,:)=[AA,k];
        end
    end
    %Calculating Bi;
    C1=C; C1(k)=[]; BB=[];
    for j=1:lenCk
        t0=t(j);
        for j1=1:lenC-1
            tt=C1{j1}; lentt=length(tt); BB(j1)=0;
            for j2=1:lentt
                i0=find((S(:,1)==t0 & S(:,2)==tt(j2)) | ...
                (S(:,2)==t0 & S(:,1)==tt(j2)));
                BB(j1)=BB(j1)+S(i0,3);
            end
            BB(j1)=BB(j1)/(lentt);
        end
        Bi(t0,1)=max(BB);  B1=find(BB==Bi(t0,1));
        if B1(1)<k 
            Bi(t0,2)=B1(1);
        else Bi(t0,2)=B1(1)+1;
        end
    end
end
AB=(Ai(:,1)-Bi(:,1));
