load idxhcut; C=clusindex(idxhcut); 
NC=load('NChcut'); Pheno=load('Phenohcut'); 
NC0=NC; 
NC0(16,:)=[0 0 0 0 0 0 0 0 0];
PhC=Pheno(:, 1:5); 
PhS=round(Pheno(:, 6)*100)/100; %keep two digits.

[I, J]=size(NC0); NC=zeros(I,J);
for i=1:I
    for j=1:J
        if NC0(i, j)==1
            NC(i, j)=10;
        end
    end
end
caxis([-5, 5])
colordef white
set(gca, 'Color', 'b', 'XColor', 'k', 'YColor', 'k')
set(gca, 'NextPlot', 'replacechildren')
set(get(gca, 'Title'), 'Color', 'k')
set(get(gca, 'XLabel'), 'Color', 'k')
set(get(gca, 'YLabel'), 'Color', 'k')

set(gcf, 'Color', 'w')
set(gcf, 'DefaultAxesColorOrder', [1 0 0; 0 1 0; 0 0 1])


subplot(8,9,37)
for i=16
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title('Pseudo Root', 'FontSize', 3) 
text(-2, 42, 'Age ER/PR Histology Stage Metasta.','FontSize', 5)
text(-1, 41.5, '___________________')
text(-1.2, 39, '|', 'FontSize', 12); text(3.7, 39, '|', 'FontSize', 12);
text(9, 39, '|', 'FontSize', 12); text(13.1, 39, '|', 'FontSize', 12);
text(-1, 39, ' 3OST3b   BRCA1      DAPK1',  'FontSize', 5, 'FontAngle', 'italic')
text(-1, 38.5, '___________________')
text(-1.2, 36, '|', 'FontSize', 12); text(3.7, 36, '|', 'FontSize', 12);
text(9, 36, '|', 'FontSize', 12); text(13.1, 36, '|', 'FontSize', 12);
text(-1, 36, '  \muPA         HOXA5        P16',  'FontSize', 5, 'FontAngle', 'italic')
text(-1, 35.5, '___________________')
text(-1.2, 33, '|', 'FontSize', 12); text(3.7, 33, '|', 'FontSize', 12);
text(9, 33, '|', 'FontSize', 12); text(13.1, 33, '|', 'FontSize', 12);
text(-1, 33, '  GPC3     RASSF1A    WT1',  'FontSize', 5, 'FontAngle', 'italic')
text(-1, 32.5, '___________________')
text(-1.8, 30, '(Phenotype Score) [# of Tumors]', 'FontSize', 5)
end
caxis([-5, 5])

subplot(8,9,30)
for i=7
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 3, 'A1', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,39)
for i=6
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 4, 'A2', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,48)
for i=2
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 2, 'A3', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,5)
for i=1
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 3, 'B1', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,14)
for i=5
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 3, 'B2', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,23)
for i=13
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 3, 'B3', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,32)
for i=3
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 3, 'B4', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,41)
for i=4
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 4, 'B5', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,50)
for i=8
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 2, 'B6', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,59)
for i=12
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 2, 'B7', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,68)
for i=14
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 2, 'B8', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,34)
for i=9
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 4, 'C1', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,43)
for i=11
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 4, 'C2', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,52)
for i=15
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 4, 'C3', 'FontSize', 4)
end
caxis([-5, 5])

subplot(8,9,45)
for i=10
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-0.4, 4, 'D1', 'FontSize', 4)
end
caxis([-5, 5])

hold off