load idxkm3; C=clusindex(idxkm3); 
NC=load('NCkm'); Pheno=load('Phenokm'); 
NC0=NC; 
%NC0(16,:)=[0 0 0 0 0 0 0 0 0];
PhC=Pheno(:, 1:5); 
PhS=round(Pheno(:, 6)*100)/100; %keep two digits.

[I, J]=size(NC0); NC=zeros(I,J);
for i=1:I
    for j=1:J
        if NC0(i, j)==1
            NC(i, j)=10;
        end
    end
end
caxis([-5, 5])
colordef white
set(gca, 'Color', 'b', 'XColor', 'k', 'YColor', 'k')
set(gca, 'NextPlot', 'replacechildren')
set(get(gca, 'Title'), 'Color', 'k')
set(get(gca, 'XLabel'), 'Color', 'k')
set(get(gca, 'YLabel'), 'Color', 'k')

set(gcf, 'Color', 'w')
set(gcf, 'DefaultAxesColorOrder', [1 0 0; 0 1 0; 0 0 1])


subplot(6,7,22)
for i=12
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(-2, 27, 'Age ER/PR Histology Stage Metasta.','FontSize', 5)
text(-1.7, 26.7, '____________________')
text(-1.8, 25, '|', 'FontSize', 12); text(1.2, 25, '|', 'FontSize', 12);
text(4.5, 25, '|', 'FontSize', 12); text(6.8, 25, '|', 'FontSize', 12);
text(-1.7, 25, ' 3OST3b    BRCA1       DAPK1',  'FontSize', 5, 'FontAngle', 'italic')
text(-1.7, 24.7, '____________________')
text(-1.8, 23, '|', 'FontSize', 12); text(1.2, 23, '|', 'FontSize', 12);
text(4.5, 23, '|', 'FontSize', 12); text(6.8, 23, '|', 'FontSize', 12);
text(-1.7, 23, '  \muPA          HOXA5        P16',  'FontSize', 5, 'FontAngle', 'italic')
text(-1.7, 22.7, '____________________')
text(-1.8, 21.2, '|', 'FontSize', 12); text(1.2, 21.2, '|', 'FontSize', 12);
text(4.5, 21.2, '|', 'FontSize', 12); text(6.8, 21.2, '|', 'FontSize', 12);
text(-1.7, 21, '  GPC3       RASSF1A    WT1',  'FontSize', 5, 'FontAngle', 'italic')
text(-1.7, 20.8, '____________________')
text(-2.1, 19, '(Phenotype Score) [# of Tumors]', 'FontSize', 5)
text(0, 3, 'A1', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,3)
for i=6
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 3, 'B1', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,10)
for i=8
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 3, 'B2', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,17)
for i=1
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 3, 'B3', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,24)
for i=2
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 4, 'B4', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,31)
for i=11
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 2, 'B5', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,38)
for i=14
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 2, 'B6', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,5)
for i=3
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 3, 'C1', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,12)
for i=4
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 3, 'C2', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,19)
for i=5
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 4, 'C3', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,26)
for i=7
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 4, 'C4', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,33)
for i=13
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 4, 'C5', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,40)
for i=15
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 4, 'C6', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,21)
for i=9
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 4, 'D1', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,7,28)
for i=10
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 4, 'D2', 'FontSize', 4)
end
caxis([-5, 5])

hold off