load idxclhde; C=clusindex(idxclhde); 
NC=load('NClh'); Pheno=load('Phenolh'); 
NC0=NC; 
NC0(16,:)=[0 0 0 0 0 0 0 0 0];
PhC=Pheno(:, 1:5); 
PhS=round(Pheno(:, 6)*100)/100; %keep two digits.

[I, J]=size(NC0); NC=zeros(I,J);
for i=1:I
    for j=1:J
        if NC0(i, j)==1
            NC(i, j)=10;
        end
    end
end
caxis([-5, 5])
colordef white
set(gca, 'Color', 'b', 'XColor', 'k', 'YColor', 'k')
set(gca, 'NextPlot', 'replacechildren')
set(get(gca, 'Title'), 'Color', 'k')
set(get(gca, 'XLabel'), 'Color', 'k')
set(get(gca, 'YLabel'), 'Color', 'k')

set(gcf, 'Color', 'w')
set(gcf, 'DefaultAxesColorOrder', [1 0 0; 0 1 0; 0 0 1])


subplot(10,10,51)
for i=16
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title('pseudo root', 'FontSize', 6) 
text(0, 90, 'Age ER/PR Histology Stage Metasta.','FontSize', 4)
text(0, 89, '________________________')
text(-0.2, 84.5, '|', 'FontSize', 11); text(6.5, 84.5, '|', 'FontSize', 11);
text(15, 84.5, '|', 'FontSize', 11); text(21.1, 84.5, '|', 'FontSize', 11);
text(0, 84, '   3OST3b       BRCA1           DAPK1',  'FontSize', 6, 'FontAngle', 'italic')
text(0, 84, '________________________')
text(-0.2, 80, '|', 'FontSize', 11); text(6.5, 80, '|', 'FontSize', 11);
text(15, 80, '|', 'FontSize', 11); text(21.1, 80, '|', 'FontSize', 11);
text(0, 79, '   \muPA             HOXA5            P16',  'FontSize', 6, 'FontAngle', 'italic')
text(0, 79, '________________________')
text(-0.2, 75, '|', 'FontSize', 11); text(6.5, 75, '|', 'FontSize', 11);
text(15, 75, '|', 'FontSize', 11); text(21.1, 75, '|', 'FontSize', 11);
text(0, 74, '   GPC3          RASSF1A        WT1',  'FontSize', 5, 'FontAngle', 'italic')
text(0, 74, '________________________')
text(0, 68, '(Phenotype Score)     [No. of Tumors]', 'FontSize', 3)
end
caxis([-5, 5])

subplot(10,10,34)
for i=1
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 3, 'A1', 'FontSize', 4)
end
caxis([-5, 5])

subplot(10,10,54)
for i=6
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 4, 'A2', 'FontSize', 5)
end
caxis([-5, 5])

subplot(10,10,64)
for i=4
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 1, 'A3', 'FontSize', 5)
end
caxis([-5, 5])

subplot(10,10,74)
for i=11
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 1, 'A4', 'FontSize', 5)
end
caxis([-5, 5])

subplot(10,10,7)
for i=3
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 3, 'B1', 'FontSize', 5)
end
caxis([-5, 5])

subplot(10,10,17)
for i=8
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 3, 'B2', 'FontSize', 5)
end
caxis([-5, 5])

subplot(10,10,27)
for i=9
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 3, 'B3', 'FontSize', 5)
end
caxis([-5, 5])

subplot(10,10,37)
for i=13
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 4, 'B4', 'FontSize', 5)
end
caxis([-5, 5])

subplot(10,10,47)
for i=14
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 1, 'B5', 'FontSize', 5)
end
caxis([-5, 5])

subplot(10,10,57)
for i=5
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 4, 'B6', 'FontSize', 5)
end
caxis([-5, 5])

subplot(10,10,67)
for i=7
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 1, 'B7', 'FontSize', 5)
end
caxis([-5, 5])


subplot(10,10,77)
for i=12
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 1, 'B8', 'FontSize', 5)
end
caxis([-5, 5])


subplot(10,10,87)
for i=2
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 1, 'B9', 'FontSize', 5)
end
caxis([-5, 5])

subplot(10,10,97)
for i=5
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1.5, 2, 'B10', 'FontSize', 5)
end
caxis([-5, 5])

subplot(10,10,60)
for i=10
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 4) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 5) 
text(-1, 4, 'C1', 'FontSize', 5)
end
caxis([-5, 5])

hold off