load Cpam; C=Cpam; 
NC=load('NCpam'); Pheno=load('Phenopam'); 
NC0=NC; 
NC0(16,:)=[0 0 0 0 0 0 0 0 0];
PhC=Pheno(:, 1:5); 
PhS=round(Pheno(:, 6)*100)/100; %keep two digits.

[I, J]=size(NC0); NC=zeros(I,J);
for i=1:I
    for j=1:J
        if NC0(i, j)==1
            NC(i, j)=10;
        end
    end
end
caxis([-5, 5])
colordef white
set(gca, 'Color', 'b', 'XColor', 'k', 'YColor', 'k')
set(gca, 'NextPlot', 'replacechildren')
set(get(gca, 'Title'), 'Color', 'k')
set(get(gca, 'XLabel'), 'Color', 'k')
set(get(gca, 'YLabel'), 'Color', 'k')

set(gcf, 'Color', 'w')
set(gcf, 'DefaultAxesColorOrder', [1 0 0; 0 1 0; 0 0 1])


subplot(6,9,28)
for i=16
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title('Pseudo Root', 'FontSize', 3) 
text(-0.3, 23, 'Age ER/PR Histology Stage Metasta.','FontSize', 5)
text(0, 22.3, '_____________________')
text(-0.2, 21, '|', 'FontSize', 18); text(3.2, 21, '|', 'FontSize', 18);
text(7.5, 21, '|', 'FontSize', 18); text(11, 21, '|', 'FontSize', 18);
text(0, 21, ' 3OST3b    BRCA1       DAPK1',  'FontSize', 5, 'FontAngle', 'italic')
text(0, 20.5, '_____________________')
text(-0.2, 19, '|', 'FontSize', 18); text(3.2, 19, '|', 'FontSize', 18);
text(7.5, 19, '|', 'FontSize', 18); text(11, 19, '|', 'FontSize', 18);
text(0, 19, '  \muPA          HOXA5        P16',  'FontSize', 5, 'FontAngle', 'italic')
text(0, 18.5, '_____________________')
text(-0.2, 17.2, '|', 'FontSize', 18); text(3.2, 17.2, '|', 'FontSize', 18);
text(7.5, 17.2, '|', 'FontSize', 18); text(11, 17.2, '|', 'FontSize', 18);
text(0, 17, '  GPC3       RASSF1A    WT1',  'FontSize', 5, 'FontAngle', 'italic')
text(0, 16.5, '_____________________')
text(0, 15, '(Phenotype Score) [# of Tumors]', 'FontSize', 5)
end
caxis([-5, 5])

subplot(6,9,21)
for i=2
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 3, 'A1', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,30)
for i=6
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 4, 'A2', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,5)
for i=1
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 3, 'B1', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,14)
for i=5
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 3, 'B2', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,23)
for i=10
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 4, 'B3', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,32)
for i=7
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 4, 'B4', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,41)
for i=15
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 2, 'B5', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,7)
for i=4
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 3, 'C1', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,16)
for i=8
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 3, 'C2', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,25)
for i=3
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 3, 'C3', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,34)
for i=12
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 4, 'C4', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,43)
for i=14
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 2, 'C5', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,52)
for i=13
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 2, 'C6', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,27)
for i=9
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 4, 'D1', 'FontSize', 4)
end
caxis([-5, 5])

subplot(6,9,36)
for i=11
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 2) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 3) 
text(0, 4, 'D2', 'FontSize', 4)
end
caxis([-5, 5])

hold off