load idxcsi; C=clusindex(idxcsi); 
NC=load('NCsi'); Pheno=load('Phenosi'); 
NC0=NC; 
NC0(16,:)=[0 0 0 0 0 0 0 0 0];
PhC=Pheno(:, 1:5); 
PhS=round(Pheno(:, 6)*100)/100; %keep two digits.

[I, J]=size(NC0); NC=zeros(I,J);
for i=1:I
    for j=1:J
        if NC0(i, j)==1
            NC(i, j)=10;
        end
    end
end

figure(2)
caxis([-5, 5])
colordef white
set(gca, 'Color', 'b', 'XColor', 'k', 'YColor', 'k')
set(gca, 'NextPlot', 'replacechildren')
set(get(gca, 'Title'), 'Color', 'k')
set(get(gca, 'XLabel'), 'Color', 'k')
set(get(gca, 'YLabel'), 'Color', 'k')

set(gcf, 'Color', 'w')
set(gcf, 'DefaultAxesColorOrder', [1 0 0; 0 1 0; 0 0 1])


subplot(8,7,43)
for i=16
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title('pseudo root', 'FontSize', 6) 
end
text(0, 60, 'Age ER/PR Histology Stage Metasta.','FontSize', 4)
text(0, 59, '________________________')
text(-0.2, 56, '|', 'FontSize', 16.5); text(3.1, 56, '|', 'FontSize', 16.5);
text(6.8, 56, '|', 'FontSize', 16.5); text(9.7, 56, '|', 'FontSize', 16.5);
text(0, 56, '   3OST3b       BRCA1           DAPK1',  'FontSize', 6, 'FontAngle', 'italic')
text(0, 55, '________________________')
text(-0.2, 52, '|', 'FontSize', 16.5); text(3.1, 52, '|', 'FontSize', 16.5);
text(6.8, 52, '|', 'FontSize', 16.5); text(9.7, 52, '|', 'FontSize', 16.5);
text(0, 52, '   \muPA             HOXA5           P16',  'FontSize', 6, 'FontAngle', 'italic')
text(0, 51, '________________________')
text(-0.2, 48, '|', 'FontSize', 16.5); text(3.1, 48, '|', 'FontSize', 16.5);
text(6.8, 48, '|', 'FontSize', 16.5); text(9.7, 48, '|', 'FontSize', 16.5);
text(0, 48, '   GPC3          RASSF1A        WT1',  'FontSize', 6, 'FontAngle', 'italic')
text(0, 47, '________________________')
text(0, 43, '(Phenotype Score)     [No. of Tumors]', 'FontSize', 4)
caxis([-5, 5])

subplot(8,7,31)
for i=1
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 3, 'A1', 'FontSize', 5)
end
caxis([-5, 5])

subplot(8,7,45)
for i=6
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 4, 'A2', 'FontSize', 5)
end
caxis([-5, 5])

subplot(8,7,52)
for i=11
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 2, 'A3', 'FontSize', 5)
end
caxis([-5, 5])

subplot(8,7,5)
for i=4
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 3, 'B1', 'FontSize', 5)
end
caxis([-5, 5])

subplot(8,7,12)
for i=7
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 3, 'B2', 'FontSize', 5)
end
caxis([-5, 5])

subplot(8,7,19)
for i=8
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 3, 'B3', 'FontSize', 5)
end
caxis([-5, 5])

subplot(8,7,26)
for i=12
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 3, 'B4', 'FontSize', 5)
end
caxis([-5, 5])

subplot(8,7,33)
for i=3
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 4, 'B5', 'FontSize', 5)
end
caxis([-5, 5])

subplot(8,7,40)
for i=14
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 2, 'B6', 'FontSize', 5)
end
caxis([-5, 5])

subplot(8,7,47)
for i=5
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 4, 'B7', 'FontSize', 5)
end
caxis([-5, 5])

subplot(8,7,54)
for i=2
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 4, 'B8', 'FontSize', 5)
end
caxis([-5, 5])


subplot(8,7,35)
for i=9
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 4, 'C1', 'FontSize', 5)
end
caxis([-5, 5])


subplot(8,7,42)
for i=10
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 3, 'C2', 'FontSize', 5)
end
caxis([-5, 5])

subplot(8,7,49)
for i=13
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 4, 'C3', 'FontSize', 5)
end
caxis([-5, 5])

subplot(8,7,56)
for i=15
x=NC(i, :);
xx=[x(1:3); x(4:6); x(7:9)];
xx1=[xx, zeros(3,1)]; xx2=[xx1; zeros(1, 4)];
h=pcolor(xx2)
set(gca, 'xtick', [], 'ytick',[])
title(num2str(PhC(i, :)), 'FontSize', 3) 
xlabel(['(',num2str(PhS(i)),') ', ' [', num2str(length(C{i})), ']'],'FontSize', 4) 
text(0, 4, 'C4', 'FontSize', 5)
end
caxis([-5, 5])

hold off